(* Opt *)
(* $Id: opt.ml,v 1.1 2004/10/26 09:44:54 berke Exp $ *)

let config_file = ref "xara.config";;
let user_specified_config_file = ref false;;
let very_slow = ref false;;
let dump_config = ref false;;

let specs = [
   "-config",Arg.String(fun w -> user_specified_config_file := true; config_file := w),
     "<path> Set user configuration file name (default ~/.ara/xara.config)";
   "-dump-config",Arg.Set(dump_config)," Dump configuration file to stdout.";
   "-debug",Arg.Set(Debug.enable),
     " Enable debugging information";
   "-debug-level",Arg.Set_int(Debug.level),
     " Set debugging level (higher is more verbose, max is 100, default is 10)";
   "-very-slow",Arg.Set(very_slow),
     " Attempt to be memory efficient at the expense of speed (default is off)"
]
;;
